Package org.eclipse.gef.dot.internal

# Enum Class DotAttributes.Context

java.lang.Object
java.lang.Enum<DotAttributes.Context>
org.eclipse.gef.dot.internal.DotAttributes.Context

All Implemented Interfaces:
  `Serializable`, `Comparable<DotAttributes.Context>`, `Constable`

Enclosing class:
  DotAttributes

public static enum DotAttributes.Context extends Enum<DotAttributes.Context>
Contexts by which attributes may be used.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CLUSTER`
Cluster subgraph context
`EDGE`
Edge context
`GRAPH`
Graph context
`NODE`
Node context
`SUBGRAPH`
Subgraph context

## Method Summary

Modifier and Type
Method
Description
`static DotAttributes.Context`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DotAttributes.Context[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GRAPH

public static final DotAttributes.Context GRAPH
Graph context

### EDGE

public static final DotAttributes.Context EDGE
Edge context

### NODE

public static final DotAttributes.Context NODE
Node context

### SUBGRAPH

public static final DotAttributes.Context SUBGRAPH
Subgraph context

### CLUSTER

public static final DotAttributes.Context CLUSTER
Cluster subgraph context

## Method Details

### values

public static DotAttributes.Context[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DotAttributes.Context valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null